%{!?drupal6: %global drupal6 %{_datadir}/drupal6}
%{!?drupal6_modules: %global drupal6_modules %{drupal6}/sites/all/modules}

%global module      imagecache_profiles
%global pre_release rc1

Name:      drupal6-%{module}
Version:   1.4
Release:   0.2.%{pre_release}%{?dist}
Summary:   Utilizes image styles for user profile pictures

Group:     Applications/Publishing
License:   GPLv2
URL:       http://drupal.org/project/%{module}
Source0:   http://ftp.drupal.org/files/projects/%{module}-6.x-%{version}-%{pre_release}.tar.gz
Source1:   %{name}-RPM-README.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:  drupal6
Requires:  drupal6(imagecache)
# phpcompatinfo (computed from version 1.4-rc1)
# <none>

Provides:  drupal6(%{module}) = %{version}

%description
ImageCache_Profiles module allows you to set user profile pictures that are
consistent throughout your site and allows avatars on the user profile pages,
nodes and comments to be a different size.

This package provides the following Drupal modules:
* %{module}


%prep
%setup -qn %{module}
cp -p %{SOURCE1} .


%build
# Empty build section, nothing required


%install
rm -rf %{buildroot}
mkdir -pm 0755 %{buildroot}%{drupal6_modules}/%{module}
cp -pr * %{buildroot}%{drupal6_modules}/%{module}/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc *.txt
%{drupal6_modules}/%{module}
%exclude %{drupal6_modules}/%{module}/*.txt


%changelog
* Sun Jan 26 2014 Shawn Iwinski <shawn.iwinski@gmail.com> - 1.4-0.2.rc1
- Spec cleanup

* Thu Nov 28 2013 Peter Borsa <peter.borsa@gmail.com> - 1.4-0.1.rc1
- Update to upstream 1.4-rc1 release for bug fixes
- Upstream changelog for this release is available at https://drupal.org/node/1304356

* Thu Jun 7 2012 Anderson Silva <ansilva@redhat.com> - 1.3-3
- Update LICENSE.txt with FSF mailing address
- Update description

* Fri Mar 9 2012 Anderson Silva <ansilva@redhat.com> - 1.3-2
- Update spec to comply with Fedora Packaging

* Mon Mar 5 2012 Anderson Silva <ansilva@redhat.com> - 1.3-1
- Initial rpm package
